package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.service.SiteGroupingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ya
 * @since 2021-09-17
 */
@RestController
@RequestMapping("/siteGrouping")
public class SiteGroupingController {
    @Autowired
    private SiteGroupingService siteGroupingService;

    /**
     *
     * @param groupingName 站点分组名称
     * @return
     */
    @RequestMapping("SiteGroupingAdd")
    public ApiResult<Void> SiteGroupingAdd(@RequestParam String groupingName){
        siteGroupingService.SiteGroupingAdd(groupingName);
        return ApiResult.success();
    }

    @RequestMapping("SiteGroupingUpdate")
    public ApiResult<Void> SiteGroupingUpdate(@RequestParam String groupingName,@RequestParam int id){
        siteGroupingService.SiteGroupingUpdate(groupingName,id);
        return ApiResult.success();
    }
}

