package com.bizmatics.service;

import com.bizmatics.model.SiteDynamicProperties;
import com.bizmatics.common.mvc.base.CrudService;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 站点动态属性表 服务类
 * </p>
 *
 * @author ya
 * @since 2021-09-22
 */
public interface SiteDynamicPropertiesService extends CrudService<SiteDynamicProperties> {

    /**
     *
     * @param fault_status
     * @param real_time_load
     * @param total_electricity
     * @param power_factor
     * @param site_id
     * @param site_type
     * @param user_company
     * @param operation_time
     * @param service_deadline
     * @param power_supply_type
     * @param voltage_level
     * @param Demolition_standard_coal
     * @param Demolition_standard_coal1
     */
    void SiteDynamicPropertiesAdd(@Param("fault_status") String fault_status,
                                  @Param("real_time_load") String real_time_load,
                                  @Param("total_electricity") String total_electricity,
                                  @Param("power_factor") String power_factor,
                                  @Param("site_id") int site_id,
                                  @Param("site_type") String site_type,
                                  @Param("user_company") String user_company,
                                  @Param("operation_time") String operation_time,
                                  @Param("service_deadline") String service_deadline,
                                  @Param("power_supply_type") String power_supply_type,
                                  @Param("voltage_level") String voltage_level,
                                  @Param("Demolition_standard_coal") String Demolition_standard_coal,
                                  @Param("Demolition_standard_coal1") String Demolition_standard_coal1,
                                  @Param("sitePictureOne") String sitePictureOne,
                                  @Param("sitePictureTwo") String sitePictureTwo,
                                  @Param("sitePictureThree") String sitePictureThree);

    void SiteDynamicPropertiesUpdate(@Param("fault_status") SiteDynamicProperties siteDynamicProperties);
}


