package com.bizmatics.service;

import com.bizmatics.model.Site;
import com.bizmatics.model.SiteGrouping;
import com.bizmatics.common.mvc.base.CrudService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-09-17
 */
public interface SiteGroupingService extends CrudService<SiteGrouping> {
    /**
     *
     * @param groupingName
     */
    void SiteGroupingAdd(@Param("groupingName") String groupingName);

    /**
     *
     * @param groupingName
     * @param id
     */
    void SiteGroupingUpdate(@Param("groupingName") String groupingName,
                            @Param("id") int id);

}
